### org.jfree.layouting.layouter.style.resolver

# Class AbstractStyleResolver.AbstractStyleResolverState

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.resolver.AbstractStyleResolver.AbstractStyleResolverState`

Enclosing Class:
  AbstractStyleResolver

Implemented Interfaces:
  Serializable, State

`protected static abstract class AbstractStyleResolver.AbstractStyleResolverState`
`extends java.lang.Object`
`implements State`

  ## Constructor Summary

  `AbstractStyleResolverState()`

  ## Method Summary

  `protected abstract AbstractStyleResolver`

  `create()`

  `protected void`

  `fill(AbstractStyleResolver resolver, LayoutProcess layoutProcess)`

  `LayoutStyle`

  `getInitialStyle()`

  `StyleKey[]`

  `getKeys()`

  `StatefullComponent`

  `restore(LayoutProcess layoutProcess)`

  `void`

  `setInitialStyle(LayoutStyle initialStyle)`

  `void`

  `setKeys(StyleKey[] keys)`

## Constructor Details

### AbstractStyleResolverState

    protected AbstractStyleResolverState()

## Method Details

### create

    protected abstract AbstractStyleResolver create()

### fill

    protected void fill(AbstractStyleResolver resolver,
                        LayoutProcess layoutProcess)

### getInitialStyle

    public LayoutStyle getInitialStyle()

### getKeys

    public StyleKey[] getKeys()

### restore

    public StatefullComponent restore(LayoutProcess layoutProcess)
                throws StateException

> Specified by:
>   restore in interface State

### setInitialStyle

    public void setInitialStyle(LayoutStyle initialStyle)

### setKeys

    public void setKeys(StyleKey[] keys)